﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using System.Collections.ObjectModel;
using Android.Graphics;
using Android.Views;

namespace ZoomPanSample
{
    [Activity(Label = "ZoomPanSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        ChartZoomPanBehavior zoomPan;
        CategoryAxis xAxis;
        NumericalAxis yAxis;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            LinearLayout rootLayout = new LinearLayout(this);
            rootLayout.Orientation = Orientation.Vertical;

            SfChart chart = new SfChart(this);
            chart.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
            chart.SetBackgroundColor(Color.White);

            xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            LineSeries series = new LineSeries();
            series.ItemsSource = GetData();
            series.XBindingPath = "XValue";
            series.YBindingPath = "YValue";
            chart.Series.Add(series);

            zoomPan = new ChartZoomPanBehavior();
            chart.Behaviors.Add(zoomPan);

            Button button = new Button(this);
            button.Text = "Zoom";
            button.Click += Button_Click;

            rootLayout.AddView(button);
            rootLayout.AddView(chart);
            // Set our view from the "main" layout resource
            SetContentView(rootLayout);
        }

        private void Button_Click(object sender, System.EventArgs e)
        {
            zoomPan.ZoomByRange(yAxis, 50, 60); // Specify the range to zoom 
        }

        public static ObservableCollection<DataModel> GetData()
        {
            var datas = new ObservableCollection<DataModel>();
            datas.Add(new DataModel("2010", 150));
            datas.Add(new DataModel("2011", 80));
            datas.Add(new DataModel("2012", 23));
            datas.Add(new DataModel("2013", 44));
            datas.Add(new DataModel("2014", 66));
            datas.Add(new DataModel("2015", 23));
            datas.Add(new DataModel("2016", 44));
            datas.Add(new DataModel("2017", 66));
            datas.Add(new DataModel("2018", 140));
            return datas;
        }
    }
}

